%define upstream_name    MooseX-Role-Matcher
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Generic object matching based on attributes and methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This role adds flexible matching and searching capabilities to your Moose
class. It provides a match method, which tests attributes and methods of
your object against strings, regexes, or coderefs, and also provides
several class methods for using match on lists of objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-10.mga9
+ Revision: 1804690
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-9.mga8
+ Revision: 1495676
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-8.mga7
+ Revision: 1269619
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1030570
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 944702
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 745484
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 685562
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 513192
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 370272
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 jquelin <jquelin> 0.50.0-1.mga2
+ Revision: 164886
- imported package perl-MooseX-Role-Matcher


* Mon Nov 07 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
